curl --request POST \
--url https://sandbox.cashfree.com/pg/orders/sessions/authorize \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"payment_session_id": "session__CvcEmNKDkmERQrxnx39ibhJ3Ii034pjc8ZVxf3qcgEXCWlgDDlHRgz2XYZCqpajDQSXMMtCusPgOIxYP2LZx0-05p39gC2Vgmq1RAj--gcn",
"authorization_data": {
"authentication_token": "kBJNBl+1CMCuowBk3i8SFDVh3f72",
"directory_server_transaction_id": "1171177d-1fa3-469f-8855-915b89645835",
"three_ds_server_transaction_id": "d9661043-e83d-4fbd-9acf-4325572bd624",
"eci": "05",
"token_number": "token_number_example",
"token_expiry_year": "2030",
"token_expiry_month": "12",
"token_cryptogram": "ANvr5FNoqJVmAW/uSVPHAAADFA==",
"transaction_type": "TOKEN"
}
}
'import requests
url = "https://sandbox.cashfree.com/pg/orders/sessions/authorize"
payload = {
"payment_session_id": "session__CvcEmNKDkmERQrxnx39ibhJ3Ii034pjc8ZVxf3qcgEXCWlgDDlHRgz2XYZCqpajDQSXMMtCusPgOIxYP2LZx0-05p39gC2Vgmq1RAj--gcn",
"authorization_data": {
"authentication_token": "kBJNBl+1CMCuowBk3i8SFDVh3f72",
"directory_server_transaction_id": "1171177d-1fa3-469f-8855-915b89645835",
"three_ds_server_transaction_id": "d9661043-e83d-4fbd-9acf-4325572bd624",
"eci": "05",
"token_number": "token_number_example",
"token_expiry_year": "2030",
"token_expiry_month": "12",
"token_cryptogram": "ANvr5FNoqJVmAW/uSVPHAAADFA==",
"transaction_type": "TOKEN"
}
}
headers = {
"x-api-version": "<x-api-version>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-version': '<x-api-version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_session_id: 'session__CvcEmNKDkmERQrxnx39ibhJ3Ii034pjc8ZVxf3qcgEXCWlgDDlHRgz2XYZCqpajDQSXMMtCusPgOIxYP2LZx0-05p39gC2Vgmq1RAj--gcn',
authorization_data: {
authentication_token: 'kBJNBl+1CMCuowBk3i8SFDVh3f72',
directory_server_transaction_id: '1171177d-1fa3-469f-8855-915b89645835',
three_ds_server_transaction_id: 'd9661043-e83d-4fbd-9acf-4325572bd624',
eci: '05',
token_number: 'token_number_example',
token_expiry_year: '2030',
token_expiry_month: '12',
token_cryptogram: 'ANvr5FNoqJVmAW/uSVPHAAADFA==',
transaction_type: 'TOKEN'
}
})
};
fetch('https://sandbox.cashfree.com/pg/orders/sessions/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auth_id": "302651",
"authorization": null,
"bank_reference": "524410198110",
"cf_payment_id": "4304193706",
"entity": "payment",
"error_details": null,
"international_payment": {
"international": false
},
"is_captured": false,
"order_amount": 1,
"order_currency": "INR",
"order_id": "3vv0ethp9r",
"payment_amount": 1,
"payment_completion_time": "2025-09-01T15:42:38+05:30",
"payment_currency": "INR",
"payment_gateway_details": {
"gateway_name": "CASHFREE",
"gateway_order_id": null,
"gateway_payment_id": null,
"gateway_order_reference_id": null,
"gateway_status_code": null,
"gateway_settlement": "cashfree",
"gateway_reference_name": null
},
"payment_group": "debit_card",
"payment_message": "Transaction Success",
"payment_method": {
"card": {
"card_bank_name": "KOTAK MAHINDRA BANK",
"card_country": "IN",
"card_network": "visa",
"card_network_reference_id": null,
"card_number": "XXXXXXXXXXXX4738",
"card_sub_type": "R",
"card_type": "debit_card",
"channel": "link",
"instrument_id": "0dca46b1-01f7-4a60-9e4a-ae5474603563",
"par": "V0010014623022257739533641432"
}
},
"payment_offers": [],
"payment_status": "SUCCESS",
"payment_surcharge": {
"payment_surcharge_service_charge": 0,
"payment_surcharge_service_tax": 0
},
"payment_time": "2025-09-01T15:40:58+05:30"
}{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "bank_processing_failure",
"type": "api_error"
}Order Pay Authorise Only
Use this API when an order has already been created and you want Cashfree to process the payment for authorisation only. To use this API, the āAUTHORIZE_ONLYā flag must be enabled for your account. Submit Support Form to enable this feature.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Body
Request body to create an authorization only transaction at cashfree using payment_session_id.
Complete object for the authorize only api that uses authorization data object.
"session__CvcEmNKDkmERQrxnx39ibhJ3Ii034pjc8ZVxf3qcgEXCWlgDDlHRgz2XYZCqpajDQSXMMtCusPgOIxYP2LZx0-05p39gC2Vgmq1RAj--gcn"
Details required for authorization, received in authentication response from processor.
Show child attributes
Show child attributes
Response
OK.
Payment entity full object.
The error details are present only for failed payments.
Show child attributes
Show child attributes
{
"error_code": "TRANSACTION_DECLINED",
"error_description": "issuer bank or payment service provider declined the transaction",
"error_reason": "auth_declined",
"error_source": "customer",
"error_code_raw": "ZM",
"error_description_raw": "INVALID / INCORRECT MPIN",
"error_subcode_raw": ""
}
Order amount can be different from payment amount if you collect service fee from the customer.
Type of payment group. One of ['prepaid_card', 'upi_ppi_offline', 'cash', 'upi_credit_card', 'paypal', 'net_banking', 'cardless_emi', 'credit_card', 'bank_transfer', 'pay_later', 'debit_card_emi', 'debit_card', 'wallet', 'upi_ppi', 'upi', 'credit_card_emi'].
This is the time when the payment was initiated.
This is the time when the payment reaches its terminal state.
The transaction status can be one of ["SUCCESS", "NOT_ATTEMPTED", "FAILED", "USER_DROPPED", "VOID", "CANCELLED", "PENDING"].
SUCCESS, NOT_ATTEMPTED, FAILED, USER_DROPPED, VOID, CANCELLED, PENDING Issuing bankās transaction reference number.
Authorisation ID provided by the issuing bank.
If preauth enabled for account you will get this body.
Show child attributes
Show child attributes
{
"action": "CAPTURE",
"status": "PENDING",
"captured_amount": 100,
"start_time": "2022-02-09T18:04:34+05:30",
"end_time": "2022-02-19T18:04:34+05:30",
"approve_by": "2022-02-09T18:04:34+05:30",
"action_reference": "6595231908096894505959",
"action_time": "2022-08-03T16:09:51"
}
The following code samples show the payment method object payload for different payment methods.
- Card
- Net banking
- UPI
- App
- Cardless EMI
- Pay later
- Card EMI
- Bank transfer
Show child attributes
Show child attributes
International payment details.
Show child attributes
Show child attributes
payment gateway details present in the webhook response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?